{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load crm_utils %}

{% block content %}



    <div class="container-fluid">
        <ul class="nav nav-tabs">
            <li class="nav-item">
                <a class="nav-link active" href="#">Информация</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'client_info_detail' client_id %}">Абонементы</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'client_info_history' client_id %}">История</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'client_info_installment' client_id %}" tabindex="-1" aria-disabled="true">Рассрочка</a>
            </li>
        </ul>

    <div class="container client-info p-3">
        <div class="card">
            <div class="card-body">
                <h5 class="card-title">{{ client.surname }} {{ client.name }} {% if client.middle_name %}{{ client.middle_name }}{% endif %}</h5>
                <h6 class="card-subtitle mb-2 text-muted">Номер карты: {{ client.card_number|default:'7777777777' }}</h6>
                <h6 class="card-subtitle mb-2 text-muted">Номер телефона: {{ client.phone_number }}</h6>
                <p class="card-text">
                    <nav>
                      <div class="nav nav-tabs" id="nav-tab" role="tablist">
                        <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab" aria-controls="nav-home" aria-selected="true">Основная информация</a>
                        <a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab" href="#nav-profile" role="tab" aria-controls="nav-profile" aria-selected="false">Дополнительная информация</a>
                      </div>
                    </nav>
                    <div class="tab-content" id="nav-tabContent">
                      <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                          <div class="p-2">
                              <div class="form-group row">
                                <label for="staticEmail" class="col-sm-2 col-form-label">Пол</label>
                                <div class="col-sm-10">
                                  <input type="text" readonly class="form-control-plaintext" id="staticEmail" value="{{ client.get_sex_display }}">
                                </div>
                              </div>
                              <div class="form-group row">
                                <label for="inputPassword" class="col-sm-2 col-form-label">День рождения</label>
                                <div class="col-sm-10">
                                  <input type="text" readonly class="form-control-plaintext" id="inputPassword" value="{{ client.birthday }}">
                                </div>
                              </div>

                              {% if client.source_of_attraction %}
                              <div class="form-group row">
                                <label for="staticEmail" class="col-sm-2 col-form-label">Источник привлечения</label>
                                <div class="col-sm-10">
                                  <input type="text" readonly class="form-control-plaintext" id="staticEmail" value="{{ client.source_of_attraction }}">
                                </div>
                              </div>
                              {% endif %}

                              {% if client.parent_FIO %}
                              <div class="form-group row">
                                <label for="staticEmail" class="col-sm-2 col-form-label">ФИО родителя</label>
                                <div class="col-sm-10">
                                  <input type="text" readonly class="form-control-plaintext" id="staticEmail" value="{{ client.parent_FIO }}">
                                </div>
                              </div>
                              {% endif %}

                              {% if client.parent_phone_number %}
                              <div class="form-group row">
                                <label for="staticEmail" class="col-sm-2 col-form-label">Телефонный номер родителя</label>
                                <div class="col-sm-10">
                                  <input type="text" readonly class="form-control-plaintext" id="staticEmail" value="{{ client.parent_phone_number }}">
                                </div>
                              </div>
                              {% endif %}

                              {% if client.email %}
                              <div class="form-group row">
                                <label for="staticEmail" class="col-sm-2 col-form-label">Email</label>
                                <div class="col-sm-10">
                                  <input type="text" readonly class="form-control-plaintext" id="staticEmail" value="{{ client.email }}">
                                </div>
                              </div>
                              {% endif %}

                              {% if client.notes %}
                              <div class="form-group row">
                                <label for="staticEmail" class="col-sm-2 col-form-label">Заметки</label>
                                <div class="col-sm-10">
                                    <textarea class="textarea form-control-plaintext" disabled name="notes" id="id_notes" cols="40" rows="10">{{ client.notes }}</textarea>

                                </div>
                              </div>
                              {% endif %}


                          </div>
                      </div>
                      <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
                          <div class="container p-2">
                              <div class="row">
                                  <div class="col-lg">
                                      <p><strong></strong></p>
                                      <div class="form-group row">
                                          <label for="staticEmail" class="col-sm-5 col-form-label">Дата создания:</label>
                                          <div class="col-sm-5">
                                              <input type="text" readonly class="form-control-plaintext"
                                                     id="staticEmail" value="{{ client.created }}">
                                          </div>
                                      </div>
                                      <div class="form-group row">
                                          <label for="staticEmail" class="col-sm-5 col-form-label">Дата последнего посещения:</label>
                                          <div class="col-sm-5">
                                              <input type="text" readonly class="form-control-plaintext"
                                                     id="staticEmail" value="Не реализовано">
                                          </div>
                                      </div>
                                  </div>
                                  <div class="col-lg">
                                      <p><strong>Активный абонемент</strong></p>
                                  {% with last_sale=client.get_last_active_abon %}
                                      {% if last_sale is None %}
                                          <p>Нет проданных абонементов</p>

                                      {% else %}
                                      <div class="form-group row">
                                          <label for="staticEmail" class="col-sm-5 col-form-label">Название:</label>
                                          <div class="col-sm-5">

                                              <input type="text" readonly class="form-control-plaintext"
                                                     id="staticEmail" value="{{ last_sale.abonement_name }}">

                                          </div>
                                      </div>
                                      <div class="form-group row">
                                          <label for="staticEmail" class="col-sm-5 col-form-label">Дата окончания:</label>
                                          <div class="col-sm-5">
                                              <input type="text" readonly class="form-control-plaintext"
                                                     id="staticEmail" value="{% if last_sale.deactivation_date %}{{ last_sale.deactivation_date }}{% else %} Не установлено {% endif %}">
                                          </div>
                                      </div>
                                      <div class="form-group row">
                                          <label for="staticEmail" class="col-sm-5 col-form-label">Занятия:</label>
                                          <div class="col-sm-5">
                                              <input type="text" readonly class="form-control-plaintext"
                                                     id="staticEmail" value="{{ last_sale.current_visits_number }} Из {{ last_sale.abonement_available_visits_number }}">
                                          </div>
                                      {% endif %}
                                  {% endwith %}
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </div>
                    </div>
                </p>
            </div>
        </div>

{#        <div class="fullname mt-5">#}
{#            <h5><p class="text-center"><strong>ФИО</strong></p></h5>#}
{#            <div class="fio d-flex justify-content-around">#}
{#                <p>{{ client.surname }}</p>#}
{#                <p>{{ client.name }}</p>#}
{#                {% if client.name %}#}
{#                    <p>{{ client.middle_name }}</p>#}
{#                {% endif %}#}
{##}
{#            </div>#}
{#        </div>#}
{#        <hr>#}
{##}
{#        <div class="sex mt-3">#}
{#            <h5><p class="text-center"><strong>Пол</strong></p></h5>#}
{#            <div class="d-flex justify-content-center">#}
{#                <p>{{ client.get_sex_display }}</p>#}
{#            </div>#}
{#        </div>#}
{#        <hr>#}
{##}
{#        <div class="birthday mt-3">#}
{#            <h5><p class="text-center"><strong>День рождения</strong></p></h5>#}
{#            <div class="d-flex justify-content-center">#}
{#                <p>{{ client.birthday }}</p>#}
{#            </div>#}
{#        </div>#}
{#        <hr>#}
{##}
{#        <div class="phone-number mt-3">#}
{#            <h5><p class="text-center"><strong>Номер телефона</strong></p></h5>#}
{#            <div class="d-flex justify-content-center">#}
{#                <p>{{ client.phone_number }}</p>#}
{#            </div>#}
{#        </div>#}
{#        <hr>#}
{##}
{#        {% if client.source_of_attraction %}#}
{#        <div class="source-of-attr mt-3">#}
{#            <h5><p class="text-center"><strong>Источник привлечения</strong></p></h5>#}
{#            <div class="d-flex justify-content-center">#}
{#                <p>{{ client.source_of_attraction }}</p>#}
{#            </div>#}
{#        </div>#}
{#        <hr>#}
{#        {% endif %}#}
{##}
{##}
{#        {% if client.parent_FIO %}#}
{#        <div class="parent-names mt-3">#}
{#            <h5><p class="text-center"><strong>ФИО родителя</strong></p></h5>#}
{#            <div class="d-flex justify-content-center">#}
{#                <p>{{ client.parent_FIO }}</p>#}
{#            </div>#}
{#        </div>#}
{#        <hr>#}
{#        {% endif %}#}
{##}
{#        {% if client.parent_phone_number %}#}
{#        <div class="parent-phones mt-3">#}
{#            <h5><p class="text-center"><strong>Телефонный номер родителя</strong></p></h5>#}
{#            <div class="d-flex justify-content-center">#}
{#                <p>{{ client.parent_phone_number }}</p>#}
{#            </div>#}
{#        </div>#}
{#        <hr>#}
{#        {% endif %}#}
{##}
{#        {% if client.email %}#}
{#        <div class="email mt-3">#}
{#            <h5><p class="text-center"><strong>Email</strong></p></h5>#}
{#            <div class="d-flex justify-content-center">#}
{#                <p>{{ client.email }}</p>#}
{#            </div>#}
{#        </div>#}
{#        <hr>#}
{#        {% endif %}#}
{##}
{#        {% if client.notes %}#}
{#        <div class="notes mt-3">#}
{#            <h5><p class="text-center"><strong>Заметки</strong></p></h5>#}
{#            <div class="d-flex justify-content-center">#}
{#                <p>{{ client.notes }}</p>#}
{#            </div>#}
{#        </div>#}
{#        <hr>#}
{#        {% endif %}#}

    </div>
    </div>



{% endblock %}

{% block custom_includes %}
    {% load static %}
    {{ block.super }}
{% endblock %}